import request from '@/utils/request'

// 获取企业基本信息
export function getCompany(id) {
  return request({
    url: '/enterprise-info/' + id,
    method: 'get'
  })
}

// 企业基本信息保存
export function saveCompany(data) {
  return request({
    url: '/enterprise-info/save-or-update',
    method: 'post',
    data: data
  })
}

// 新增企业许可证
export function addCompanyPermit(data) {
  return request({
    url: '/enterprise-permit-issue/save',
    method: 'post',
    data: data
  })
}

// 分页查询许可证
export function listPermitIssue(data) {
  return request({
    url: '/enterprise-permit-issue/page',
    method: 'post',
    data: data
  })
}

// 根据id查询企业许可证
export function getPermitIssue(id) {
  return request({
    url: '/enterprise-permit-issue/' + id,
    method: 'get'
  })
}

// 修改企业许可证
export function updatePermitIssue(data) {
  return request({
    url: '/enterprise-permit-issue/update',
    method: 'put',
    data: data
  })
}

// 删除企业许可证
export function delPermitIssue(id) {
  return request({
    url: '/enterprise-permit-issue/' + id,
    method: 'delete'
  })
}

// 新增企业管理信息表
export function saveEnterManage(data) {
  return request({
    url: '/enterprise-manage/save',
    method: 'post',
    data: data
  })
}

// 分页查询企业管理信息表
export function etManageList(query) {
  return request({
    url: '/enterprise-manage/page',
    method: 'post',
    params: query,
    data: query
  })
}

// 删除企业管理信息表
export function delManageList(id) {
  return request({
    url: '/enterprise-manage/' + id,
    method: 'delete'
  })
}

// 新增从业人员信息
export function addEmployee(data) {
  return request({
    url: '/employee/save',
    method: 'post',
    data: data
  })
}

// 分页查询 从业人员信息
export function listEmployee(data) {
  return request({
    url: '/employee/page',
    method: 'post',
    data: data,
    params: data
  })
}

// 删除从业人员信息
export function delEmployee(id) {
  return request({
    url: '/employee/' + id,
    method: 'delete'
  })
}

// 从业人员信息详情
export function getEmployee(id) {
  return request({
    url: '/employee/' + id,
    method: 'get'
  })
}

// 更新从业人员信息
export function updateEmployee(data) {
  return request({
    url: '/employee/update',
    method: 'put',
    data: data
  })
}

// 查询当前企业的所有从业人员信息
export function getpersonnel(id) {
  return request({
    url: '/employee/list-all/current-enterprise',
    method: 'get'
  })
}

// 新增从业人员资质信息
export function addAptitude(data) {
  return request({
    url: '/employee-aptitude/save',
    method: 'post',
    data: data
  })
}

// 分页查询 从业人员资质信息
export function listAptitude(query) {
  return request({
    url: '/employee-aptitude/page',
    method: 'post',
    params: query,
    data: query
  })
}

// 根据id查询从业人员资质信息
export function getAptitude(id) {
  return request({
    url: '/employee-aptitude/' + id,
    method: 'get'
  })
}

// 更新从业人员资质信息
export function updateAptitude(data) {
  return request({
    url: '/employee-aptitude/update',
    method: 'put',
    data: data
  })
}

// 删除从业人员资质信息
export function delAptitude(id) {
  return request({
    url: '/employee-aptitude/' + id,
    method: 'delete'
  })
}

// 新增从业人员事故
export function addAccident(data) {
  return request({
    url: '/employee-accident/save',
    method: 'post',
    data: data
  })
}

// 分页查询从业人员事故列表
export function listAccident(data) {
  return request({
    url: '/employee-accident/page',
    method: 'post',
    data: data
  })
}

// 获取从业人员事故
export function getAccident(id) {
  return request({
    url: '/employee-accident/' + id,
    method: 'get'
  })
}

// 修改从业人员事故
export function updateAccident(data) {
  return request({
    url: '/employee-accident/update',
    method: 'put',
    data: data
  })
}

// 删除从业人员事故
export function delAccident(id) {
  return request({
    url: '/employee-accident/' + id,
    method: 'delete'
  })
}

// 新增从业人员培训
export function addTrain(data) {
  return request({
    url: '/employee-train/save',
    method: 'post',
    data: data
  })
}

// 分页查询从业人员培训列表
export function listTrain(data) {
  return request({
    url: '/employee-train/page',
    method: 'post',
    data: data
  })
}

// 查询从业人员培训信息
export function getTrain(id) {
  return request({
    url: '/employee-train/' + id,
    method: 'get'
  })
}

// 修改从业人员培训
export function updateTrain(data) {
  return request({
    url: '/employee-train/update',
    method: 'put',
    data: data
  })
}

// 删除从业人员培训
export function delTrain(id) {
  return request({
    url: '/employee-train/' + id,
    method: 'delete'
  })
}

// 新增运营车辆
export function addInfo(data) {
  return request({
    url: '/car-info/save',
    method: 'post',
    data: data
  })
}

// 分页查询 运营车辆
export function listInfo(data) {
  return request({
    url: '/car-info/page',
    method: 'post',
    data: data,
    params: data
  })
}

// 根据id查询 运营车辆
export function getInfo(id) {
  return request({
    url: '/car-info/' + id,
    method: 'get'
  })
}

// 修改 运营车辆
export function updateInfo(data) {
  return request({
    url: '/car-info/update',
    method: 'put',
    data: data
  })
}

// 删除 运营车辆
export function delInfo(id) {
  return request({
    url: '/car-info/' + id,
    method: 'delete'
  })
}

// 新增站点
export function addBusStation(data) {
  return request({
    url: '/station/save',
    method: 'post',
    data: data
  })
}

// 分页查询 站点
export function listBusStation(data) {
  return request({
    url: '/station/page',
    method: 'post',
    data: data,
    params: data
  })
}

// 站点详情
export function getBusStation(id) {
  return request({
    url: '/station/' + id,
    method: 'get'
  })
}

// 修改站点
export function updateBusStation(data) {
  return request({
    url: '/station/update',
    method: 'put',
    data: data
  })
}

// 删除站点
export function delBusStation(id) {
  return request({
    url: '/station/' + id,
    method: 'delete'
  })
}

// 查询所有 线路
export function listAllBusLine() {
  return request({
    url: '/bus-line/list-all',
    method: 'get'
  })
}

// 新增公交车辆
export function addBusInfo(data) {
  return request({
    url: '/vehicle-info/save',
    method: 'post',
    data: data
  })
}

// 分页查询公交车辆
export function listBusInfo(data) {
  return request({
    url: '/vehicle-info/page',
    method: 'post',
    data: data,
    params: data
  })
}

// 公交车辆详情
export function getBusInfo(id) {
  return request({
    url: '/vehicle-info/' + id,
    method: 'get'
  })
}

// 修改公交车辆
export function updateBusInfo(data) {
  return request({
    url: '/vehicle-info/update',
    method: 'put',
    data: data
  })
}

// 删除公交车辆
export function delBusInfo(id) {
  return request({
    url: '/vehicle-info/' + id,
    method: 'delete'
  })
}

// 新增船舶
export function addShipping(data) {
  return request({
    url: '/water-transport-book/save',
    method: 'post',
    data: data
  })
}

// 分页查询 船舶
export function listShipping(data) {
  return request({
    url: '/water-transport-book/page',
    method: 'post',
    data: data,
    params: data
  })
}

// 根据ID查询 船舶详情
export function getSHipping(id) {
  return request({
    url: '/water-transport-book/' + id,
    method: 'get'
  })
}

// 删除 船舶
export function delShipp(id) {
  return request({
    url: '/water-transport-book/' + id,
    method: 'delete'
  })
}

// 修改 船舶
export function updateShipp(data) {
  return request({
    url: '/water-transport-book/update',
    method: 'put',
    data: data
  })
}

// 根据企业ID查询所有船舶
export function getAllShipp(data) {
  return request({
    url: '/water-transport-book/list-all/current-enterprise',
    method: 'post',
    data: data
  })
}

// 新增线路
export function addBusLine(data) {
  return request({
    url: '/bus-line/save',
    method: 'post',
    data: data
  })
}

// 分页查询 线路
export function listBusLine(data) {
  return request({
    url: '/bus-line/page',
    method: 'post',
    data: data,
    params: data
  })
}

// 线路详情
export function getBusLine(id) {
  return request({
    url: '/bus-line/' + id,
    method: 'get'
  })
}

// 修改线路
export function updateBusLine(data) {
  return request({
    url: '/bus-line/update',
    method: 'put',
    data: data
  })
}

// 删除线路
export function delBusLine(id) {
  return request({
    url: '/bus-line/' + id,
    method: 'delete'
  })
}

// 查询所有站点
export function listAllSite() {
  return request({
    url: '/station/list-all',
    method: 'get'
  })
}

// 绑定站点
export function bindStation(data) {
  return request({
    url: '/bus-line/bind-station',
    method: 'post',
    data: data
  })
}

// 线路绑定详情
export function stationDetail(data) {
  return request({
    url: '/bus-line/detail-bind-station',
    method: 'post',
    data: data
  })
}
